Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
tvduc

Các lệnh về Layer!

Các bài được khuyến nghị

tvduc    0

Cho hỏi một số lệnh trong layer

1 Lệnhkhóa tất cả các layer

2 Lệnh chọn một đối tượng thuộc layer nào đó, rồi dùng lệnh gì giúp khóa (và tắt) tất cả các layer khác, chỉ mở duy nhất một layer chứa đối tượng đó (giông nhu layiso)

3 Lệnh mở khóa tất cả các layer

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Save cái này về máy.

 

http://www.cadviet.com/upfiles/LayerBar.zip

 

Mở CAD ra, vào Tools -> Customize -> Import, rồi Load cái LayerBar.cui ra. Bạn sẽ có:

 

http://www.cadviet.com/upfiles/LayerBar.zip

 

Chúc vui./.

bác ơi nó kho khó lam sao ấy em chả bít dùng ...bác làm ơn chỉ bảo cái....thực sự ...hơi lạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
miennui_tomo3d    114
Cho hỏi một số lệnh trong layer

1 Lệnhkhóa tất cả các layer

2 Lệnh chọn một đối tượng thuộc layer nào đó, rồi dùng lệnh gì giúp khóa (và tắt) tất cả các layer khác, chỉ mở duy nhất một layer chứa đối tượng đó (giông nhu layiso)

3 Lệnh mở khóa tất cả các layer

bạn vào tron cái chinh lệnh của cad : tools->customize->edit program.

bạn cop mấy dòng lệnh này va pass vào đó ( nên xuống dưới cùng để dễ quản lí )

1, *layon

2, *layoff

3, *layiso

1,2,3 là cách mình đặt lệnh tắt thôi . bạn có thể thay đổi

layon : bật tất cả layer

layoff : tắt layer mà bạn chọn ( trừ layer đang hiển thị )

layiso : hiển thị duy nhất layer mà bạn chọn

chúc thành công

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanhth03b4    0
Save cái này về máy.

 

http://www.cadviet.com/upfiles/LayerBar.zip

 

Mở CAD ra, vào Tools -> Customize -> Import, rồi Load cái LayerBar.cui ra. Bạn sẽ có:

 

http://www.cadviet.com/upfiles/LayerBar.zip

 

Chúc vui./.

 

mình vào cad vao Tools -> Customize nhung chang thay dong Import dau het the thßi co cach nao khac ko ban

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hongvinh47    1
bạn vào tron cái chinh lệnh của cad : tools->customize->edit program.

bạn cop mấy dòng lệnh này va pass vào đó ( nên xuống dưới cùng để dễ quản lí )

1, *layon

2, *layoff

3, *layiso

1,2,3 là cách mình đặt lệnh tắt thôi . bạn có thể thay đổi

layon : bật tất cả layer

layoff : tắt layer mà bạn chọn ( trừ layer đang hiển thị )

layiso : hiển thị duy nhất layer mà bạn chọn

chúc thành công

 

 

cái này là bật - tắt layer chứ không phải khoá bạn ơi. Có ai biết lệnh tắt để khoá - mở khoá tất cả các layer ko?

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
cái này là bật - tắt layer chứ không phải khoá bạn ơi. Có ai biết lệnh tắt để khoá - mở khoá tất cả các layer ko?

Khoá layer : laylck

Mở khoá Layer : layulk

 

 

Ngoài ra để tắt layer trong 1 vùng bàn vẽ thì xem bài viết sau :

Lisp ẩn layer trong 1 vùng ANLAY

 

(lệnh Layoff tắt layer trên toàn bản vẽ còn Lisp ANLay thì ẩn Layer trên 1 vùng bản vẽ do user chọn )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
HoangSon614    66
Khoá layer : laylck

Mở khoá Layer : layulk

Ngoài ra để tắt layer trong 1 vùng bàn vẽ thì xem bài viết sau :

Lisp ẩn layer trong 1 vùng ANLAY

 

(lệnh Layoff tắt layer trên toàn bản vẽ còn Lisp ANLay thì ẩn Layer trên 1 vùng bản vẽ do user chọn )

Tue ơi sao mình click vào Lisp ẩn layer trong 1 vùng ANLAY mà lại chuyển sang trả lời cho các lệnh về Layer nên không mở được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

2 Lệnh chọn một đối tượng thuộc layer nào đó, rồi dùng lệnh gì giúp khóa (và tắt) tất cả các layer khác, chỉ mở duy nhất một layer chứa đối tượng đó (giông nhu layiso)

Chào các bác ạ

Em muốn nhờ các bác viết hộ một đoạn lisp gần giống như yêu cầu của bạn chủ topic này ạ. Tức là mình click chọn một đối lượng thuộc một layer, gõ lệnh (giả sử là KL) thì tất cả các layer khác trong bản vẽ đều bị khóa lại ạ. Nhưng chỉ khóa thôi chứ không tắt các layer đó đi ạ. Chả là vì em gặp phải trường hợp cần stretch một đối tượng trong một mớ các đối tượng cạnh nhau mà khi dùng chuột quét thì nó chọn toàn bộ các đối tượng nên Unselect thì hơi lâu. mà dùng Layiso thì lại không nhìn thấy phạm vi cần stretch đến đâu cả.

Em xin cảm ơn các bác nhiều và chúc các bác mạnh khỏe!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các bác ạ

Em muốn nhờ các bác viết hộ một đoạn lisp gần giống như yêu cầu của bạn chủ topic này ạ. Tức là mình click chọn một đối lượng thuộc một layer, gõ lệnh (giả sử là KL) thì tất cả các layer khác trong bản vẽ đều bị khóa lại ạ. Nhưng chỉ khóa thôi chứ không tắt các layer đó đi ạ. Chả là vì em gặp phải trường hợp cần stretch một đối tượng trong một mớ các đối tượng cạnh nhau mà khi dùng chuột quét thì nó chọn toàn bộ các đối tượng nên Unselect thì hơi lâu. mà dùng Layiso thì lại không nhìn thấy phạm vi cần stretch đến đâu cả.

Em xin cảm ơn các bác nhiều và chúc các bác mạnh khỏe!

 

Bạn thử sử dụng quickselect xem

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Lisp thì đơn giản, nhưng bạn nên thử dùng layiso với chế độ Lock and Fade trước đã :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp thì đơn giản, nhưng bạn nên thử dùng layiso với chế độ Lock and Fade trước đã :)

Chào anh Ket.

Em đang dùng Cad 2007, Khi dùng Layiso, vào settings thì chỉ có 2 mục là VPfreeze và Off thôi chứ không thấy có mục Lock and Fade như anh nói. Không biết có phải Cad đời cao hơn mới có không ạ?

P/S: Lúc trước có lần em đã cài thử Cad 2013 nhưng chưa thử lệnh layiso thì đã Uninstall nên ko nhớ có hay không.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sao bạn không phân layer ra từng nhóm một rùi tắt mở rất tiện đó.cũng chỉ 1-2 thao tác thui mà list làm gì

Mình có phân layer thành từng nhóm chứ. Nhưng giả sử bạn cần stretch một đối tượng thuộc layer 1, mà đối tượng đó nằm sát cạnh các đối tương khác thuộc layer 2,3,4.. mà vẫn cần nhìn thấy các đối tượng khác kia thì dùng layiso để tắt các đối tượng kia đi thì không ổn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cho hỏi một số lệnh trong layer

1 Lệnhkhóa tất cả các layer

2 Lệnh chọn một đối tượng thuộc layer nào đó, rồi dùng lệnh gì giúp khóa (và tắt) tất cả các layer khác, chỉ mở duy nhất một layer chứa đối tượng đó (giông nhu layiso)

3 Lệnh mở khóa tất cả các layer

Lệnh ai_molc gọi tên một layer. Gõ ai_molc, click một đối tượng thuộc layer muốn gọi lên.

Lệnh Clayer cũng gọi tên một layer để làm việc nhưng bạn phải nhớ chính xác tên layer, sau khi gõ clayer, gõ chính xác tên layer mà bạn cần gọi. Ngoài ra còn có layiso, layon, layoff mà các bác ở trên đã liệt kê.

Chọn đối tượng thuộc layer thì dùng fi, qselect. Mong các bác chỉ giáo thêm!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đợt rồi bận làm hồ sơ thầu cho cty đi đấu thầu nên không vào web thường xuyên được. Yêu cầu của em ở bài viết số #9 vẫn chưa có bác nào rảnh tay giúp đỡ với ạ? Các bác cho em hỏi chế độ Lock and Fade khi layiso có phải từ cad 2008 trở về trước chưa có đúng không ạ?

Em xin cảm ơn các bác đã quan tâm ạ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
AutocadLisp    4

Setting Lock and Fade cho lệnh Layiso chỉ có ở CAD 2008 trở lên ^^ Bạn thích thì thử viết 1 cái lisp khóa tất cả layer, trừ những layer chỉ định xem sao, cũng đơn giản thôi :)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em chưa hiều lắm về lisp nên chủ yếu copy code của các bác về sửa (em cũng sửa theo cảm tính chứ cũng chưa hiểu bản chất gì mấy) theo mục đích dùng của mình là chính. về đoạn lisp trên em mới chỉnh sửa được một đoạn code như thế này, nhưng có điều là sau khi Lock toàn bộ layer, em muốn unlock một (hoặc một vài) layer khác thì đoạn lisp này bị lỗi chỗ nào đó nên nó cứ hỏi tùy chọn thêm mấy thứ nữa (cũng hơi lằng nhằng). Nhờ các bác xem và sửa hộ cho em thành sau khi gõ lệnh LKK rồi thì lisp sẽ cho mình tùy chọn layer(s) để unlock luôn ạ

LKK.lsp

(defun C:LKK()
  (command "-Layer" "LO" "*" "")
(princ)
  (command "-layer" "U" )
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn gõ vào command như thế nào thì viết ở lisp như vậy ^^

Em thử thao tác bằng lệnh. cụ thể như sau

1/ gõ -layer

2/ chọn U

3/ sau khi chọn được object thì Enter 2 lần

thao tác như vậy thì được. Nhưng với từng ấy em viết vào lisp thì lại không được như vậy. Đoạn lisp em sửa theo các thao tác đó em Up lại ở bài viết trên. Mr Ketxu và các bác có thể chỉ rõ cho em biết tại sao không ạ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamduyet89    1

Mình có phân layer thành từng nhóm chứ. Nhưng giả sử bạn cần stretch một đối tượng thuộc layer 1, mà đối tượng đó nằm sát cạnh các đối tương khác thuộc layer 2,3,4.. mà vẫn cần nhìn thấy các đối tượng khác kia thì dùng layiso để tắt các đối tượng kia đi thì không ổn.

vấn đề of b đâu cần phải khóa layer làm j cho cách rách thêm. Để stretch 1 đối tượng trong 1 đống layer bạn chỉ cần layiso đối tượng cần stretch ->chọn đối tượng cần stretch ---> layon-----> stretch --->>>> p (cái lệnh p này là lấy lại đối tượng mình vừa chọn). Bạn thử xem có nhanh hơn là khóa layer ko

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vấn đề of b đâu cần phải khóa layer làm j cho cách rách thêm. Để stretch 1 đối tượng trong 1 đống layer bạn chỉ cần layiso đối tượng cần stretch ->chọn đối tượng cần stretch ---> layon-----> stretch --->>>> p (cái lệnh p này là lấy lại đối tượng mình vừa chọn). Bạn thử xem có nhanh hơn là khóa layer ko

Cách này mình thấy cũng được nhưng hình như là khi dùng P để chọn lại đối tượng thì Cad hiểu là chọn toàn bộ đối tượng đó để stretch (tức là sẽ move đối tượng đi) thì phải.Mà mình chỉ muốn Strecth thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×